import type { ExtractPropTypes } from 'vue-demi';
import type { ProvideValue } from '../constant';
import type { plainProps } from './props';
/** 外部需传递的 props */
export type PlainProps = ExtractPropTypes<typeof plainProps>;
type ValueType = string | number | boolean | null | undefined | Record<string, any>;
/** 封装扁平组件必备的信息 */
export declare function usePlain(props: PlainProps): {
    wrapper: ProvideValue | undefined;
    option: {
        reset(this: void): void;
        resetField(this: void, allowEmptyValue?: boolean): boolean;
        updateWrapperQuery(this: void): void;
        readonly validator: ((query: Record<string, any>) => any) | ((query: Record<string, any>) => Promise<any>) | undefined;
        getQuery: () => Record<string, any>;
    };
    checked: import("vue-demi").Ref<ValueType | ValueType[]>;
    getQuery: () => Record<string, any>;
    insetDisabled: import("vue-demi").Ref<boolean>;
    insetHide: import("vue-demi").Ref<boolean>;
    finalOption: import("vue-demi").ComputedRef<Record<string, any>[]>;
    updateCheckedValue: (value: ValueType | ValueType[]) => void;
    change: (value: ValueType | ValueType[]) => void;
    reset: (this: void) => void;
};
export {};
